VismaBouwsoftAPICalls.v1_GET_OrderCommissionBeneficiaries Method
v1_GET_OrderCommissionBeneficiaries() as String

This API call is used to get fields of a(n) OrderCommissionBeneficiarie(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /OrderCommissionBeneficiaries/
or
API Path: /OrderCommissionBeneficiaries/FieldInfo/

You make this API call:
* to get the result of OrderCommissionBeneficiaries

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
address_id tpLong 0 No No No
address_name tpString 0 No No No
address_description tpString 0 No No No
employee_id tpLong 0 No No No
employee_name tpString 0 No No No
employee_description tpString 0 No No No

/OrderCommissionBeneficiaries/

API Path: /OrderCommissionBeneficiaries/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderCommissionBeneficiaries

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GVDfWxfmmmzSflfmItzRqkrPfftIIOPjjOOtztGPrlAGtjImIm
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: offset, ParameterValue: 158
ParameterName: sort, ParameterValue: -id

Success gives statuscode 200 And the following result

{ “Content-Range”:“158–162/5052”, “Records”: [
  {
    "id": –159,
    "address_id": 167660,
    "address_name": "Alfa licht",
    "address_description": " ",
    "employee_id": 0,
    "employee_name": "",
    "employee_description": ""
  },
  {
    "id": –160,
    "address_id": 15983,
    "address_name": "ALFATEL NV",
    "address_description": "KON. LEOPOLDLAAN 26A BE–9000 Gentbrugge",
    "employee_id": 0,
    "employee_name": "",
    "employee_description": ""
  }
,

]
}

https://ra.bouwsoft.be/api/v1/OrderCommissionBeneficiaries

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GVDfWxfmmmzSflfmItzRqkrPfftIIOPjjOOtztGPrlAGtjImIm
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: address_id eq 16030

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": –248,
    "address_id": 16030,
    "address_name": "APAVISA PORCELANICO S.L.",
    "address_description": "CTRA CAST.-S.JUAN DE MORO 7’5 ES–12130 SAN JUAN DE MORO",
    "employee_id": 0,
    "employee_name": "",
    "employee_description": ""
  }
]
}

https://ra.bouwsoft.be/api/v1/OrderCommissionBeneficiaries

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GVDfWxfmmmzSflfmItzRqkrPfftIIOPjjOOtztGPrlAGtjImIm
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: employee_id eq 454

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": –249,
    "address_id": 0,
    "address_name": "",
    "address_description": "",
    "employee_id": 454,
    "employee_name": "APITest",
    "employee_description": ""
  }
]
}

/OrderCommissionBeneficiaries/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderCommissionBeneficiaries/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "address_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "address_name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]